WinShopAPI docs
ReferenceItem lists

Customs codes

List customs codes

GET
/api/item-lists/customs-codes

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/customs-codes' \  -H 'Authorization: Bearer <access-token>'
[  {    "customsCode": "string",    "guid": "string",    "id": 0,    "label": "string"  }]

Get a customs code

GET
/api/item-lists/customs-codes/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
customsCode?string
Lengthlength <= 20
guid?string
Formatguid
id?integer
Formatint32
label?string
Lengthlength <= 50
curl -X GET 'https://<your-instance>/api/item-lists/customs-codes/0' \  -H 'Authorization: Bearer <access-token>'
{  "customsCode": "string",  "guid": "string",  "id": 0,  "label": "string"}

Delete a customs code

DELETE
/api/item-lists/customs-codes/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/customs-codes/0' \  -H 'Authorization: Bearer <access-token>'
Empty